<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: Queue Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">Queue Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This struct represents queue.  
 <a href="structQueue.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="queue_8h_source.html">queue.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a2390d4106e5ee17bfd55f183b1f52ce5"><td class="memItemLeft" align="right" valign="top"><a id="a2390d4106e5ee17bfd55f183b1f52ce5"></a>
<a class="el" href="queue_2src_2queue_2fwd_8h.html#a4d9e4171e0ee83fe777219f894992340">Element</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#a2390d4106e5ee17bfd55f183b1f52ce5">ends</a> [2]</td></tr>
<tr class="memdesc:a2390d4106e5ee17bfd55f183b1f52ce5"><td class="mdescLeft">&#160;</td><td class="mdescRight">front and back element of the queue <br /></td></tr>
<tr class="separator:a2390d4106e5ee17bfd55f183b1f52ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a89d34ab1701342661b8685edafcb66"><td class="memItemLeft" align="right" valign="top"><a id="a9a89d34ab1701342661b8685edafcb66"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#a9a89d34ab1701342661b8685edafcb66">elements</a></td></tr>
<tr class="memdesc:a9a89d34ab1701342661b8685edafcb66"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the queue <br /></td></tr>
<tr class="separator:a9a89d34ab1701342661b8685edafcb66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539bc88fdd8c83df642eddde4700fec1"><td class="memItemLeft" align="right" valign="top"><a id="a539bc88fdd8c83df642eddde4700fec1"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#a539bc88fdd8c83df642eddde4700fec1">elementSize</a></td></tr>
<tr class="memdesc:a539bc88fdd8c83df642eddde4700fec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">element size <br /></td></tr>
<tr class="separator:a539bc88fdd8c83df642eddde4700fec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This struct represents queue. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>queue/src/queue/<a class="el" href="queue_8h_source.html">queue.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
